Package org.opensaml.saml.common.messaging.context

# Class ECPContext

java.lang.Object
org.opensaml.messaging.context.BaseContext
org.opensaml.saml.common.messaging.context.ECPContext

All Implemented Interfaces:
  `Iterable<BaseContext>`

public final class ECPContext extends BaseContext
Context, usually attached to a `MessageContext` that carries state associated with an ECP request that is needed during response generation.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.opensaml.messaging.context.BaseContext

`BaseContext.ContextSetNoRemoveIteratorDecorator, BaseContext.DeprecatedContextClassNameLookAside`

## Field Summary

Fields
Modifier and Type
Field
Description
`private boolean`
`requestAuthenticated`
Whether the request was authenticated.
`private byte[]`
`sessionKey`
Generated session key.

## Constructor Summary

Constructors
Constructor
Description
`ECPContext()`

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`getSessionKey()`
Get the session key generated for use by the client and IdP.
`boolean`
`isRequestAuthenticated()`
Get whether the request from the SP was authenticated.
`ECPContext`
`setRequestAuthenticated(boolean flag)`
Set whether the request from the SP was authenticated.
`ECPContext`
`setSessionKey(byte[] key)`
Set the session key generated for use by the client and IdP.

### Methods inherited from class org.opensaml.messaging.context.BaseContext

`addSubcontext, addSubcontext, clearSubcontexts, containsSubcontext, createSubcontext, ensureSubcontext, ensureSubcontext, getParent, getSubcontext, getSubcontext, getSubcontext, getSubcontext, iterator, removeFromParent, removeSubcontext, removeSubcontext, setParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Field Details

### requestAuthenticated

private boolean requestAuthenticated
Whether the request was authenticated.

### sessionKey

@Nullable private byte[] sessionKey
Generated session key.

## Constructor Details

### ECPContext

public ECPContext()

## Method Details

### isRequestAuthenticated

public boolean isRequestAuthenticated()
Get whether the request from the SP was authenticated.

Returns:
  true iff the SP request was authenticated

### setRequestAuthenticated

@Nonnull public ECPContext setRequestAuthenticated(boolean flag)
Set whether the request from the SP was authenticated.

Parameters:
  `flag` - flag to set
Returns:
  this context

### getSessionKey

@Nullable public byte[] getSessionKey()
Get the session key generated for use by the client and IdP.

Returns:
  the generated session key bytes

### setSessionKey

@Nonnull public ECPContext setSessionKey(byte[] key)
Set the session key generated for use by the client and IdP.

Parameters:
  `key` - key to set
Returns:
  this context